Fix #14880.
AbandonedPublic

Authored by tdammers on Sep 14 2018, 6:38 AM.

Details

Reviewers
goldfire
simonpj
bgamari
Trac Issues
#14880
Summary

This fix is described in Note [Removing variables with bound kinds]
in TcType. This commit also changes split_dvs to close over kinds
at the end, which seems more performant than walking over the kind
of every tyvar occurrence.

Test Plan

validate

Diff Detail

tdammers created this revision.Sep 14 2018, 6:38 AM

@tdammers, what is the status of this? It seems to be failing CI.

bgamari requested changes to this revision.Oct 15 2018, 12:26 PM
This revision now requires changes to proceed.Oct 15 2018, 12:26 PM

@bgamari See Trac #14880; the roadmap is to get step 2 committed, and after that revisit the work done in this patch, however I believe that Richard and Simon might end up rethinking this part entirely once step 2 is committed.

Trac #14880 was closed, should be marked as abandoned?

goldfire abandoned this revision.Nov 5 2018, 11:19 AM

Yes!